{
  pkgs,
  config,
  lib,
  inputs,
  ...
}: let
  program = "git";
  cfg = config.dots.${program};
  #sec = sops.secrets;
in {
  options.dots.${program} = {
    enable = lib.mkEnableOption "enables ${program}";
  };

  config = lib.mkIf cfg.enable {
    # configure git
    programs.${program} = {
      enable = true;
      userName = "blake";
      userEmail = "me@blakedheld.xyz";
      extraConfig = {
        init.defaultBranch = "trunk";
        core.editor = "nvim";
        pull.rebase = true;
        push.autoSetupRemote = true;
      };
    };
  };
}
